Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Lazarus Pascal Discussion :

[Raspberry Pi] Erreur à l'installation d'un composant [Lazarus]


Sujet :

Lazarus Pascal

  1. #1
    Futur Membre du Club
    Homme Profil pro
    En retraite
    Inscrit en
    mars 2015
    Messages
    2
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Hautes Pyrénées (Midi Pyrénées)

    Informations professionnelles :
    Activité : En retraite
    Secteur : Santé

    Informations forums :
    Inscription : mars 2015
    Messages : 2
    Points : 5
    Points
    5
    Par défaut [Raspberry Pi] Erreur à l'installation d'un composant
    Bonjour,
    J'utilise "developpez.net" depuis longtemps, c'est la première fois que j'utilise le forum pour un problème dont je n'ai pas trouvé la solution. J'en profite pour vous féliciter et vous remercier du temps que vous donnez, des conseils, des tutoriels...

    Mon problème : Sur une raspberry pi 3 j'avais lazarus 1.6 sous raspbian 9 aucun problème pour installer les composants supplémentaires nécessaires. Pour avoir un os impeccable, j'ai installé de zéro raspbian 10 avec lazarus 2.0. Mais quand j'installe un composant : compilation OK, installation : lazarus.pp(1,1) Fatal: Impossible de trouver fpdebug utilisé par Lazarus., j'ai ce message d'erreur.

    J'ai trouvé un dossier fpdebug à : /usr/lib/lazarus/2.0.0/components/fpdebug. Pouvez-vous, s'il vous plaît, m'indiquer comment signifier à lazarus où se trouve fpdebug, si c'est le bon.

    En vous remerciant, cordialement, Alain.

  2. #2
    Rédacteur/Modérateur

    Avatar de Roland Chastain
    Homme Profil pro
    Enseignant
    Inscrit en
    décembre 2011
    Messages
    3 523
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 46
    Localisation : France, Moselle (Lorraine)

    Informations professionnelles :
    Activité : Enseignant

    Informations forums :
    Inscription : décembre 2011
    Messages : 3 523
    Points : 12 311
    Points
    12 311
    Billets dans le blog
    8
    Par défaut
    Bonjour et bienvenue sur le forum !

    Je n'ai pas la solution de votre problème mais j'ai trouvé deux discussions, sur le site anglophone, qui en parlent :

    https://forum.lazarus.freepascal.org...?topic=46244.0
    https://forum.lazarus.freepascal.org...c,46612.0.html

    Dans la deuxième discussion, l'utilisateur, si j'ai bien compris, a trouvé une manière d'installer Lazarus qui résout le problème.

    Bonne chance !

  3. #3
    Futur Membre du Club
    Homme Profil pro
    En retraite
    Inscrit en
    mars 2015
    Messages
    2
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Hautes Pyrénées (Midi Pyrénées)

    Informations professionnelles :
    Activité : En retraite
    Secteur : Santé

    Informations forums :
    Inscription : mars 2015
    Messages : 2
    Points : 5
    Points
    5
    Par défaut
    Bonjour, Merci pour les renseignements, en partant de là, j'ai la solution à mon problème. Lazarus 2.0.0, fourni dans les paquets raspbian 10 "buster" n'est pas compatible avec Débian 10, il faut la mouture 2.0.4. Mais elle n'est pas disponible en arm donc il me reste plus qu'a attendre sa mise en ligne, ou bien compiler les sources. En vous remerciant de votre aide, cordialement.

  4. #4
    Membre expert
    Avatar de BeanzMaster
    Homme Profil pro
    Amateur Passionné
    Inscrit en
    septembre 2015
    Messages
    1 163
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Amateur Passionné
    Secteur : Tourisme - Loisirs

    Informations forums :
    Inscription : septembre 2015
    Messages : 1 163
    Points : 3 034
    Points
    3 034
    Billets dans le blog
    2
    Par défaut
    Salut et bienvenue

    Si le paquet ARM n'est pas disponible tu peux aussi tenter d'utiliser FPCUpDeluxe pour installer Lazarus

    A+
    • "L'Homme devrait mettre autant d'ardeur à simplifier sa vie qu'il met à la compliquer" - Henri Bergson
    • "Bien des livres auraient été plus clairs s'ils n'avaient pas voulu être si clairs" - Emmanuel Kant
    • "La simplicité est la sophistication suprême" - Léonard De Vinci
    • "Ce qui est facile à comprendre ou à faire pour toi, ne l'est pas forcément pour l'autre." - Mon pèrei

    Mes projets sur Github - Blog - Site DVP

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Réponses: 2
    Dernier message: 09/09/2016, 15h16
  2. Réponses: 2
    Dernier message: 21/04/2010, 11h51
  3. Réponses: 0
    Dernier message: 06/04/2010, 01h53
  4. Erreur d'installation des composant TMSUnicode
    Par dan_lizhot dans le forum Débuter
    Réponses: 0
    Dernier message: 10/02/2008, 15h41
  5. Erreur de socket avec le composant Indy idHTTP
    Par Etanne dans le forum C++Builder
    Réponses: 3
    Dernier message: 25/10/2004, 12h27

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo